#!/bin/sh

# Mail bouncer.
# Usage:
#     echoserv addr-to addr-from
# Arguments:
#     addr-to   - user part of destination address,
#     addr-from - return path of user letter.
# Author:
#     Serge Vakulenko, vak@kiae.su

mail=%SBIN%/sendmail
host=`hostname`
(
	echo "From: $1@echo.$host (Mail Echo Server)"
	echo "Subject: [Echo] Mail from $2 received by $1"
	echo "To: $2"
	echo
	cat
) | $mail -r $1@echo.$host $2
